AurionAI Docs

Get Kb Analytics Dashboard

Single endpoint returning all KB analytics dashboard data.

GET
/api/v2/kb/analytics/dashboard

Single endpoint returning all KB analytics dashboard data.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

period_days?Period Days
Default30
Range7 <= value <= 90
collection_id?string|null

Response Body

application/json

application/json

curl -X GET "https://loading/api/v2/kb/analytics/dashboard"
{
  "collection_id": "string",
  "least_helpful": [
    {
      "helpfulness_pct": 0,
      "id": "string",
      "title": "string"
    }
  ],
  "overview": {
    "ai_resolutions": 0,
    "helpfulness_rate": 0,
    "total_published": 0,
    "total_views": 0
  },
  "period_days": 0,
  "top_viewed": [
    {
      "id": "string",
      "title": "string",
      "view_count": 0
    }
  ],
  "zero_result_searches": [
    {
      "frequency": 0,
      "query": "string"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}